Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
ClassTypeReference Class Reference

A reference class for serializable types. More...

Inheritance diagram for ClassTypeReference:

## Public Member Functions
| ClassTypeReference ()
| Create a ClassTypeReference without specifying anything. More...
| ClassTypeReference (Type type)
| To create a ClassTypeReference specify the Type. More...
bool | IsAssignableFrom (Type type)
| It is judged whether or not it is assignable type. More...
bool | Equals (ClassTypeReference typeRef)
| Returns whether this is equal to ClassTypeReference. More...
bool | Equals (Type type)
| Returns whether this is equal to Type. More...
override bool | Equals (object obj)
| Returns whether this is equal to object. More...
override int | GetHashCode ()
| Get a hash code. More...
override string | ToString ()
| Convert to a string. More...

## Static Public Member Functions
static bool | operator== (ClassTypeReference typeRef, Type type)
| Returns whether ClassTypeReference is equal to Type. More...
static bool | operator!= (ClassTypeReference typeRef, Type type)
| Returns whether ClassTypeReference and Type are not equal. More...
static bool | operator== (Type type, ClassTypeReference typeRef)
| Returns whether ClassTypeReference is equal to Type. More...
static bool | operator!= (Type type, ClassTypeReference typeRef)
| Returns whether ClassTypeReference and Type are not equal. More...
static implicit | operator Type (ClassTypeReference typeRef)
| Cast from ClassTypeReference to Type. More...
static implicit | operator ClassTypeReference (Type type)
| Cast from Type to ClassTypeReference. More...
static string | TidyAssemblyTypeName (Type type)
| Convert Type to a serializable string. More...
static Type | GetAssemblyType (string assemblyTypeName)
| Get System.Type from string. More...

## Properties
Type | type`[get, set]`
| Reference type More...

## Detailed Description

A reference class for serializable types.

To restrict selectable types from the Editor, specify an attribute that inherits ClassTypeConstraintAttribute.

## Constructor & Destructor Documentation

ClassTypeReference | ( |  | ) |

Create a ClassTypeReference without specifying anything.

ClassTypeReference | ( | Type | type | ) |

To create a ClassTypeReference specify the Type.

## Member Function Documentation

bool Equals | ( | ClassTypeReference | typeRef | ) |

Returns whether this is equal to ClassTypeReference.

Parameters

  typeRef | Value of ClassTypeReference

Returns
  Returns true if they are equal.

bool Equals | ( | Type | type | ) |

Returns whether this is equal to Type.

Parameters

  type | Type value

Returns
  Returns true if they are equal.

override bool Equals | ( | object | obj | ) |

Returns whether this is equal to object.

Parameters

  obj | object value

Returns
  Returns true if they are equal.

static Type GetAssemblyType | ( | string | assemblyTypeName | ) |
| static

Get System.Type from string.

Parameters

  assemblyTypeName | Type name

Returns
  System.Type. If assemblyTypeName is empty or null, it returns null.

override int GetHashCode | ( |  | ) |

Get a hash code.

Returns
  Hash code

bool IsAssignableFrom | ( | Type | type | ) |

It is judged whether or not it is assignable type.

Parameters

  type | Determining type

Returns
  Returns true if it is an assignable type.

static implicit operator ClassTypeReference | ( | Type | type | ) |
| static

Cast from Type to ClassTypeReference.

Parameters

  type | Value of Type

static implicit operator Type | ( | ClassTypeReference | typeRef | ) |
| static

Cast from ClassTypeReference to Type.

Parameters

  typeRef | Value of ClassTypeReference

static bool operator!= | ( | ClassTypeReference | typeRef,
|  | Type | type
| ) |  |
| static

Returns whether ClassTypeReference and Type are not equal.

Parameters

  typeRef | Value of ClassTypeReference
  type | Type value

Returns
  Returns true if it is not equal.

static bool operator!= | ( | Type | type,
|  | ClassTypeReference | typeRef
| ) |  |
| static

Returns whether ClassTypeReference and Type are not equal.

Parameters

  type | Type value
  typeRef | Value of ClassTypeReference

Returns
  Returns true if it is not equal.

static bool operator== | ( | ClassTypeReference | typeRef,
|  | Type | type
| ) |  |
| static

Returns whether ClassTypeReference is equal to Type.

Parameters

  typeRef | Value of ClassTypeReference
  type | Type value

Returns
  Returns true if they are equal.

static bool operator== | ( | Type | type,
|  | ClassTypeReference | typeRef
| ) |  |
| static

Returns whether ClassTypeReference is equal to Type.

Parameters

  type | Type value
  typeRef | Value of ClassTypeReference

Returns
  Returns true if they are equal.

static string TidyAssemblyTypeName | ( | Type | type | ) |
| static

Convert Type to a serializable string.

Parameters

  type | Type value

Returns
  Serializable string

override string ToString | ( |  | ) |

Convert to a string.

Returns
  Converted string

## Property Documentation

Type type
| get set

Reference type